<!DOCTYPE html>
<html>
<header>
	<title>hcTrend</title>
	<script src="js/jquery.min.js" type="text/javascript"></script>
	<script src="Highcharts/js/highcharts.js" type="text/javascript"></script>
	<!--<script type="text/javascript" src="../../Highcharts/js/themes/gray.js"></script>-->
	<script>
	var chart;
	var D = [];
	
	function requestData() {
    $.ajax({
			url: 'hcTrendData.php?time=1330491849',
			async: false,
			success: function(result) {
				for(brand in result) { 
					D.push({name: brand, "data": result[brand].PNratio})
				} //alert(JSON.stringify(D))
			},
			cache: false
    });
	}
	
	$(document).ready(function() {
		requestData()
	
    chart = new Highcharts.Chart({
			chart: {
				renderTo: 'container',
				defaultSeriesType: 'line'
			},
			title: {
				text: 'Flora Results'
			},
			tooltip: {
				formatter: function() {
					return '<b>'+ this.series.name +'</b><br/>'+
					this.x +': '+ this.y;
				}
			},
			xAxis: {
				//type: 'linear',
				//tickPixelInterval: 150,
				//maxZoom: 20 * 1000
			},			
			yAxis: {
				minPadding: 0.2,
				maxPadding: 0.2,
				title: {
						text: 'Value',
						margin: 80
				}
			},
			series: D
		});

		$("body").click( function (event) {
			if (event.target.innerHTML == "Pause") {
				if (pause) {
					pause = 0
					requestData()
				}
				else pause = 1
			}
		});
		
	});
	</script>	
</header>
<body>
	<div id="container" style="width: 100%; height: 600px"></div>
</body>
</html>