<!DOCTYPE html>
<html>
<header>
	<title>hcTrend</title>
	<script src="js/jquery.min.js" type="text/javascript"></script>
	<script src="Highcharts/js/highcharts.js" type="text/javascript"></script>
	<!--	<script type="text/javascript" src="../../Highcharts/js/themes/gray.js"></script> -->
	<script>
	var chart;
	var pause = 0;
	var tick = 1;
	var brand = "a0.org";
	
	function requestData() {
    $.ajax({
			url: 'hcLiveData.php?time='+tick,
			async: false,
			success: function(data) { 
				if (pause) return				
				tick++;			
								
				//var series = chart.series[0],
				//shift = series.data.length > 800; // shift if the series is longer than 20
								
				var f = {}, p = {};
				var j = -1
				var brand = ""
				
				$(data.P).each( function (i,P) {
					brand = P.brand; 
					if (brand == "a0.org" || brand == "a7.gov") {
						if (!f[brand]) {
							f[brand] = 0
							p[brand] = 0
						}
										
						f[brand] += P.F.reduce( function(a,b) { return a+b });
						//f[brand] += 1*P.loss
						p[brand]++
						
						
					}						
				}); 
				
				if (!chart) { 
					var dataObjs = []
				
					for(brand in f) { 
						dataObjs.push({ name: brand, data: [Math.round( f[brand]/p[brand] )] }) 
					} 
					
					createChart(dataObjs)
				}
				else {
					var k=0
					for(brand in f) {
						chart.series[k].addPoint( [tick, Math.round( f[brand]/p[brand]) ], true)
						k++						
					}
				}
				
				// call it again after a given time interval in milliseconds
				setTimeout(requestData, 400);    
			},
			cache: false
    });
	}
	
	function createChart(dataObjs) {
		chart = new Highcharts.Chart({
			chart: {
				renderTo: 'container',
				defaultSeriesType: 'line'
			},
			title: {
				text: 'Flora Results'
			},
			xAxis: {
				type: 'linear',
				//tickPixelInterval: 150,
				//maxZoom: 20 * 1000
			},
			yAxis: {
				minPadding: 0.2,
				maxPadding: 0.2,
				title: {
						text: 'Value',
						margin: 80
				}
			},
			series: dataObjs
		});
	}
	
	$(document).ready(function() {
    requestData();

		$("body").click( function (event) {
			if (event.target.innerHTML == "Pause") {
				if (pause) {
					pause = 0
					requestData()
				}
				else pause = 1
			}
		});
		
	});
	</script>	
</header>
<body>
	<div id="container" style="width: 100%; height: 600px"></div>
	<button>Pause</button>
</body>
</html>