<?php

if (!$brands = $_GET['brands']) $brands = "['a0.org']"; 
else $brands = json_encode(explode(",", $brands));

if (!$runName = $_GET['runName']) exit('{"status":"error","mssg":"Please specify a runName."}');

?>

<!DOCTYPE html>
<html>
<header>
	<title>hcTrend</title>
	<script src="js/jquery.min.js" type="text/javascript"></script>
	<script src="Highcharts/js/highcharts.js" type="text/javascript"></script>
	<script type="text/javascript" src="../../Highcharts/js/themes/gray.js"></script>
	<script>
	var chart;
	var pause = 0;
	var tick = 0;
	var logId = 0;
	var brandList = <?php echo $brands ?>;
	var brand = "";
	var k=0;
	
	function requestData() {
    $.ajax({
			url: 'hcLiveData.php?runName=<?php echo $runName ?>&logId='+logId,
			async: false,
			success: function(data) { 
				if (pause) return				
				logId++;
				 				
				//var series = chart.series[0],
				//shift = series.data.length > 800; // shift if the series is longer than 20
								
				var f = {}, p = {}, w={};
				var j = -1
				var brand = ""
				
				for(t in data) {
					f = {}
					p = {}
					w = {}
					tick = t.substr(1); 
					
					$(data[t].P).each( function (i,P) {
						brand = P.brand; 
						if (brandList.indexOf(brand) != -1) {
							if (!f[brand]) {
								f[brand] = 0
								p[brand] = 0
							}
											
							f[brand] += P.F.reduce( function(a,b) { return a+b });
							//f[brand] += 1*P.loss
							p[brand]++				
						}						
					});
				
				
					$(data[t].L).each(function (i,L) {
						brand = L.brand; 
						if (brandList.indexOf(brand) != -1) { 
							if (!w[brand]) w[brand] = 0
											
							for(wId in L.waste) {
								w[brand] += L.waste[wId];
							}
						}				
					});
				
				
					if (!chart) { 
						var dataObjs = []
					
						for(brand in f) { 
							dataObjs.push({ 
								name: brand, 
								data: [Math.round( f[brand]/p[brand] )], 
								yAxis: 0,
							});
							
							dataObjs.push({	
								name: brand+"_waste", 
								data: [ w[brand] ], 
								type: "line", 
								yAxis: 1,
								dashStyle: 'shortdot'
							});
						} 
						
						createChart(dataObjs)
					}
					else {
						k=0
						for(brand in f) { //if (w[brand] && brand == "a7.gov") alert(brand+" waste "+w[brand])
							chart.series[0+k].addPoint( [tick, Math.round( f[brand]/p[brand]) ], true);
							chart.series[1+k].addPoint( [tick, w[brand]] , true);
							k += 2						
						}
					}
				}
				
				// call it again after a given time interval in milliseconds
				setTimeout(requestData, 400);    
			},
			cache: false
    });
	}
	
	function createChart(dataObjs) {
		chart = new Highcharts.Chart({
			chart: {
				renderTo: 'container',
				defaultSeriesType: 'line'
			},
			title: {
				text: 'Flora Results'
			},
			xAxis: [{
				type: 'linear',
				max: 720
				//tickPixelInterval: 150,
				//maxZoom: 20 * 1000
			}],
			yAxis: [{
				minPadding: 0.2,
				maxPadding: 0.2,
				title: {
						text: 'Ave. Member Fitness',
						margin: 80
				}
			}, {
				//minPadding: 0.2,
				//maxPadding: 0.2,
				gridLineWidth: 0,
				title: {
						text: 'Waste',
						margin: 80
				},
				opposite: true
			}],
			series: dataObjs
		});
	}
	
	$(document).ready(function() {
    requestData();

		$("body").click( function (event) {
			if (event.target.innerHTML == "Pause") {
				if (pause && tick < 481) {
					pause = 0
					requestData()
				}
				else pause = 1
			}
		});
		
	});
	</script>	
</header>
<body>
	<div id="container" style="width: 100%; height: 600px"></div>
	<button>Pause</button>
</body>
</html>