<?php
header("content-type: application/json");

set_time_limit(600);
$dir = "../flora/results";

if (!$runName = $_GET['runName']) exit('{"status":"error","mssg":"Please specify a runName value."}');
if (!is_dir("$dir/$runName")) exit('{"status":"error","mssg":"The runName value=\'$runName\' is not a valid results directory."}');
if (!is_dir("$dir/$runName/detail")) exit('{"status":"error","mssg":"There is no detailed results logs for runName $runName."}');
if (!$_GET['redo'] AND file_exists("$dir/$runName/detail/trend")) exit(file_get_contents("$dir/$runName/detail/trend"));


$fileNames = scandir("$dir/$runName/detail");
if (!$fileNames = array_filter($fileNames, "ignoreName")) exit('{"status":"error","mssg":"There were no detailed results files found under runName $runName."}');

sort($fileNames);

foreach($fileNames as $file) {
	$data =  json_decode(file_get_contents("$dir/$runName/detail/$file"));
	if ($data) {
		foreach($data as $tick => $objs) {		
			foreach($objs as $type => $dataArr) {
				if ($type == "P") {
					foreach ($dataArr as $P) {
						if (!$D[$P->brand]["loss"][$tick]) $D[$P->brand]["loss"][$tick] = $loss[$P->brand];
					
						$D[$P->brand]["F"][$tick] += array_sum($P->F);
						$D[$P->brand]["members"][$tick]++;
						$D[$P->brand]["loss"][$tick] += $P->loss;
						$loss[$P->brand] += $P->loss;
					}
				}
				else if ($type == "L") {					
					foreach ($dataArr as $L) {
						$wTotal = 0;
					
						foreach($L->waste AS $wId => $wQty) $wTotal += $wQty; 
						$D[$L->brand]["wasteQty"][$tick] += $wTotal;
					}
				}
			}
		}
	}
}

file_put_contents("$dir/$runName/detail/trend", json_encode($D));
exit(json_encode($D));

function ignoreName($var) {
	if (is_numeric($var)) return $var;
}
?>